> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/api-documentation/cashouts-api/countries-validations/asian-countries/philippines.md).

# Philippines

## Required fields

| Field                  | Format                                                                                                                                 | Description                                                                                |
| ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| `login`                | String                                                                                                                                 | Cashouts login                                                                             |
| `pass`                 | String                                                                                                                                 | Cashouts pass                                                                              |
| `external_id`          | String (max length: 100)                                                                                                               | Transaction's ID on your end                                                               |
| `document_id`          | See [document validations](/specifications/countries-specifications.md#documents-validations)                                          | Beneficiary's document ID                                                                  |
| `country`              | `PH`                                                                                                                                   | See [country codes](/specifications/countries-specifications.md#countries-and-currencies)  |
| `currency`             | `PHP` / `USD`                                                                                                                          | See [currency codes](/specifications/countries-specifications.md#countries-and-currencies) |
| `amount`               | Number with up to 2 decimals                                                                                                           | Cashout amount                                                                             |
| `bank_account`         | See [validations below](/api-documentation/cashouts-api/countries-validations/asian-countries/philippines.md#bank-account-validations) | Beneficiary's bank account                                                                 |
| `bank_code`            | See [bank codes](/api-documentation/cashouts-api/countries-validations/asian-countries/philippines.md#bank-codes)                      | Code specifying the beneficiary's bank                                                     |
| `beneficiary_name`     | String (max length: 100)                                                                                                               | Beneficiary's name                                                                         |
| `beneficiary_lastname` | String (max length: 100)                                                                                                               | Beneficiary's last name                                                                    |

## Bank Account Validations

| Bank name                                          | Bank code | Format                   | Regex                |
| -------------------------------------------------- | :-------: | ------------------------ | -------------------- |
| BPI Family Bank                                    |     1     | Numeric. Length 10       | `^\d{10}$`           |
| Cebuana Lhuillier Cash Pick-up                     |     2     | Phone number             | `^\d{11}$`           |
| Gcash                                              |     3     | Phone number             | `^\d{11}$`           |
| LBC Cash Pick-up                                   |     4     | Phone number             | `^\d{11}$`           |
| Security Bank CA/SA                                |     8     | Numeric. Length 13       | `^\d{13}$`           |
| PNB individual CA/SA                               |     10    | Numeric. Length 12 or 16 | `^(\d{12}\|\d{16})$` |
| Chinabank CA/SA                                    |     13    | Numeric. Length 10 or 12 | `^(\d{10}\|\d{12})$` |
| RCBC CA/SA, RCBC Savings Bank CA/SA, RCBC MyWallet |     14    | Numeric. Length 10 or 16 | `^(\d{10}\|\d{16})$` |
| Robinsons Bank CA/SA                               |     15    | Numeric. Length 12 or 15 | `^(\d{12}\|\d{15})$` |
| BPI CA/SA                                          |     18    | Numeric. Length 10       | `^\d{10}$`           |
| Landbank CA/SA                                     |     25    | Numeric. Length 10       | `^\d{10}$`           |
| PayMaya ewallet                                    |    216    | Phone number             | `^(\d{11}\|\d{12})$` |
| Banco de Oro CA/SA                                 |    667    | Numeric. Length 10 or 12 | `^(\d{10}\|\d{12})$` |
| Metrobank CA/SA                                    |    996    | Numeric. Length 13       | `^\d{13}$`           |
| Others                                             |     -     | Numeric. Length 12       | `^\d{12}$`           |

## Document Validations

[Click here](/specifications/countries-specifications.md#documents-validations) to check document types and validations.

## Example Request

```java
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "document_id": "873839473",
    "beneficiary_name": "Test",
    "beneficiary_lastname": "User",
    "country": "PH",
    "amount": 100,
    "currency": "PHP",
    "bank_code": "1",
    "bank_account": "8273909483",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

## Bank Codes

| Bank                                               | Code |
| -------------------------------------------------- | ---- |
| BPI Family Bank                                    | 001  |
| Cebuana Lhuillier Cash Pick-up                     | 002  |
| Gcash                                              | 003  |
| LBC Cash Pick-up                                   | 004  |
| Security Bank CA/SA                                | 008  |
| UCPB CA/SA                                         | 009  |
| PNB individual CA/SA                               | 010  |
| Asia United Bank CA/SA                             | 011  |
| Chinabank Savings                                  | 012  |
| Chinabank CA/SA                                    | 013  |
| RCBC CA/SA, RCBC Savings Bank CA/SA, RCBC MyWallet | 014  |
| Robinsons Bank CA/SA                               | 015  |
| Philippine Savings Bank                            | 016  |
| BPI CA/SA                                          | 018  |
| Landbank CA/SA                                     | 025  |
| Bank of Commerce                                   | 210  |
| Sterling Bank of Asia                              | 211  |
| PayMaya ewallet                                    | 216  |
| Maybank                                            | 226  |
| Unionbank CA/SA, EON                               | 295  |
| Philippine Bank of Communications                  | 416  |
| EastWest CA/SA                                     | 614  |
| Banco de Oro CA/SA                                 | 667  |
| Chinatrust                                         | 915  |
| Metrobank CA/SA                                    | 996  |

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/api-documentation/cashouts-api/countries-validations/asian-countries/philippines.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
